<template>
   <v-container>
        <h2 class="secondary--text" align="center"> 
            Edició de proves </h2>
        <v-divider class="mt-2"></v-divider>

        <v-row class="mt-1"> 
              <v-col cols="12" align="center" justify="space-around">
                    <v-btn class="mb-3 primary">
                      Afegir prova
                      <v-icon class="ml-3">mdi-file-upload-outline</v-icon>
                    </v-btn>
               </v-col>
        </v-row>

        <div>
           <v-list>
               <v-list-item-group>
                   <template v-for="prove in proves">
                       <v-list-item two-line :key="prove.id" :to="{name:'category-prove', params:{category:prove.category, prove:prove.id}}">
                           <v-list-item-content>
                               <v-list-item-title>{{prove.name}}</v-list-item-title>
                               <v-list-item-subtitle>{{prove.points}} punts</v-list-item-subtitle>
                           </v-list-item-content>
                           <v-list-item-action>
                               <v-row align="center" justify="center">
                                   <v-btn icon><v-icon>mdi-pencil</v-icon></v-btn>
                                   <v-btn icon><v-icon>mdi-delete</v-icon></v-btn>
                               </v-row>
                           </v-list-item-action>
                       </v-list-item>
                   </template>
               </v-list-item-group>
           </v-list>
        </div>


    </v-container>
</template>

<script>
export default {
    middleware: ["auth", "admin"],
    computed:{
    proves(){
      var items = this.$store.getters.readProves 
      items.sort(function (a, b){
        return (a.points - b.points)})
      console.log(items)
      return items
    }
  },
}

</script>